import { AstBlock } from '../common';
import { BlockContext } from './scope';
/**
 * This is copy/paste from Evaluator.
 * Sadly, we have to copy code around to support both async and non async methods.
 * So, any changes to this method, should be replicated in the evaluator.ts
 */
export declare class EvaluatorAsync {
    private moduleParser;
    private jsonFileLoader;
    private blockContextFactory?;
    registerModuleParser(moduleParser: (modulePath: string) => Promise<AstBlock>): EvaluatorAsync;
    registerJsonFileLoader(jsonFileLoader: (modulePath: string) => Promise<string>): EvaluatorAsync;
    registerBlockContextFactory(blockContextFactory: (modulePath: string, ast: AstBlock) => BlockContext): EvaluatorAsync;
    evalBlockAsync(ast: AstBlock, blockContext: BlockContext): Promise<unknown>;
    private assignFunctionsToScope;
    private defaultModuleName;
    private jspyFuncInvokerAsync;
    private invokeFunctionAsync;
    private evalNodeAsync;
    private resolveChainingCallsNode;
}
//# sourceMappingURL=evaluatorAsync.d.ts.map